/***********************************************************
 * Copyright (c) 2005 - Rogue Sheep Incorporated
 * All Rights Reserved
 *
 * Description:
 *
 * JavaScript that grabs the time a document was opened
 * that was stashed in the document script label
 * and then alerts the user as to how long
 * the document has been opened from now
 *
 *  InDesign : CS 1.0 (v3.x) or CS 2.0 (v4.0)
 *
 ***********************************************************/

//----- make sure that the script label for the document is 
//      something that looks like a date string

var scriptLabel = app.activeDocument.label;

if ( scriptLabel.indexOf( "GMT" ) != -1 )
{

	var closeDate = new Date();
	
	var openDate = new Date( app.activeDocument.label );
	
	var msOpen = closeDate.getTime() - openDate.getTime();
	
	var sOpen = Math.floor( msOpen / 1000 );
	
	var hours = Math.floor( sOpen / ( 60*60 ) );
	var minutes = Math.floor( ( sOpen - ( hours * 60 * 60) ) / 60 );
	var seconds = sOpen - ( hours * 60 * 60 ) - ( minutes * 60 ) ;
	
	alert( "InEventScript: Document Close Event.\nThis dialog is a result of the example script 'DocCloseTime.js' which is associated with the custom event 'Close Document (Before)'.\n\nThis document has been open for " + hours + "h:" + minutes + "m:" + seconds + "s.\n\nYou can prevent this dialog from occuring at document close by removing the association in the InEventScript Palette." );

}
